hexmode {base} | R Documentation

## Display Numbers in Hexadecimal

### Description

Convert or print integers in hexadecimal format, with as many digits as are needed to display the largest, using leading zeroes as necessary.

### Usage

    ## S3 method for class 'hexmode':
    as.character(x, ...)

    ## S3 method for class 'hexmode':
    format(x, ...)

    ## S3 method for class 'hexmode':
    print(x, ...)

### Arguments

`x` | An object inheriting from class `"hexmode"`.
`...` | further arguments passed to or from other methods.

### Details

Class `"hexmode"` consists of integer vectors with that class attribute, used merely to ensure that they are printed in hex.

### See Also

`octmode`

[Package base version 2.6.0 Index]